#Inner Sanctum
from eventAPI import *
from APIUtils import *

def fireEvent(e):
    if (getTag(e, "TotEWard4") != 10):
#Must have completed 4th ward
        showMessage(e, ["A pulsating ball of dark light blocks the doorway. You're not allowed in yet."])
        return 0
    if (getTag(e, "TotEplot") == 5):
        showMessage(e, ["You stand in the entrance of the temple's inner sanctum. It's empty except for a large altar near the northern wall of the room.",
                        "","A small figure is hunched over the altar, looking away from you."])
        setTag(e, "TotEplot", 6)
    return 1
